tvbrowser.core.search.booleansearch

## Class OperandMatcher

- java.lang.Object
- - tvbrowser.core.search.booleansearch.OperandMatcher

- All Implemented Interfaces:
    IMatcher
  Direct Known Subclasses:
    AndMatcher, OrMatcher

      abstract class OperandMatcher
      extends java.lang.Object
      implements IMatcher

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.ArrayList<IMatcher>` | `subMatcher`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `OperandMatcher(IMatcher left, IMatcher right)`
    `protected` | `OperandMatcher(OperandMatcher leftOp, OperandMatcher rightOp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract java.lang.String` | `getOperandString()`
    `IMatcher` | `optimize()` Initialisiert und optimiert den IMatcher.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface tvbrowser.core.search.booleansearch.IMatcher

      `matches`

- - ### Field Detail

    - #### subMatcher

          protected java.util.ArrayList<IMatcher> subMatcher

  - ### Constructor Detail

    - #### OperandMatcher

          protected OperandMatcher(IMatcher left,
                        IMatcher right)

    - #### OperandMatcher

          protected OperandMatcher(OperandMatcher leftOp,
                        OperandMatcher rightOp)

  - ### Method Detail

    - #### optimize

          public IMatcher optimize()

      Description copied from interface: `IMatcher`
      Initialisiert und optimiert den IMatcher. Da der IMatcher u.U. ausgetauscht werden muss gibt die Methode einen (neuen) IMatcher zurück. Dieser ist zu verwenden.
      Specified by:
        `optimize` in interface `IMatcher`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getOperandString

          protected abstract java.lang.String getOperandString()

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)